unit ucommlinux;

interface
uses SysUtils,Types,LibC;
var serFileTx, comfd:integer;
    ss: string;

function opencomm(ch:string):integer;
procedure closecomm(numhandle:integer);
procedure envoiechaine(ch:string);
function recoitchaine:string;

implementation

function opencomm(ch:string):integer;
var ios:  termios;
begin
  serFileTx:= LibC.Open (pchar(ch),fmOpenReadWrite or o_nonblock);
  tcgetattr (serFileTx,ios);
  cfmakeraw (ios);
  cfsetospeed (ios, b9600);
  cfsetispeed (ios,b9600);
  tcsetattr (serFileTx,tcsanow,ios);
  opencomm:=serFileTx; //numro du handle du port de comm
end;

procedure closecomm(numhandle:integer);
begin
fileClose(numhandle);
end;

procedure envoiechaine(ch:string);
var d:string; resultat: integer;
begin
  FileWrite (serFileTx, ch[1], Length(ch));
end;

function recoitchaine:string;
var a:       array [1..4096] of char;
    s:       string;
    zaehler, index: integer;
begin
  s:= '';
  zaehler:= FileRead (serFileTx, a, sizeof (a));
    if zaehler > 0
    then begin
           for index:= 1 to zaehler do
             s:= s + a [index];
         end;
  recoitchaine:=s;
end;


end.
